<template>
  <div class="p-5 md:p-10 lg:p-20 text-center bg-image text-white">
    <h1 class="text-3xl p-2">
      Vincent PECQUERIE
    </h1>
    <h2 class="text-2xl p-1">
      Développeur Web, Mobile et aspirant DevOps à Rouen...
    </h2>
    <h3 class="text-xl italic">
      ...mais aussi partout dans le monde en remote :-)
    </h3>

    <div class="p-5 md:p-10 lg:p-14" />

    <button class="bg-white hover:bg-gray-100 text-gray-800 font-semibold py-2 px-4 border border-gray-400 rounded shadow">
      <i class="fas fa-download" /> Télécharger mon CV
    </button>

    <button class="bg-white hover:bg-gray-100 text-gray-800 font-semibold py-2 px-4 border border-gray-400 rounded shadow mb-5">
      En apprendre plus ?
    </button>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
export default Vue.extend({

})
</script>

<style scoped>
  .bg-image {
    position: relative;
  }
  .bg-image::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url("~assets/images/intro.jpg");
    background-size: cover;
    filter: grayscale(75%);
    z-index: -1;
  }
  </style>
